Overview | Modules | Class Hierarchy | Classes | Members

# Onlooker Class Reference
[Observable]

Onlooker is the base class for Observer and Listener, it enbales to unify these two classes. More...

`#include <Observable.h>`

## Detailed Description

Onlooker is the base class for Observer and Listener, it enbales to unify these two classes.

See also:
  Listener
  Observer
  Observable
  Event

Tulip Software by LaBRI Visualization Team 2001 - 2012